package com.bureau.onetaplogin.data.remote

import android.net.Network
import com.bureau.base.Environment
import com.bureau.network.RetroFitInstance
import com.bureau.onetaplogin.NetworkService
import retrofit2.Response

class RemoteDataSourceImpl(environment: Environment, timeOutInMs: Int, network: Network? = null) : RemotDataSource {
    private val baseUrl = if (environment == Environment.ENV_PRODUCTION) "https://api.bureau.id" else "https://api.sandbox.bureau.id"
    private val retrofitInstance = RetroFitInstance.getRetrofitInstance(baseUrl, timeOutInMs, network).create(NetworkService::class.java)
    override suspend fun makeInitiateCall(
        clientId: String,
        correlationId: String,
        mobileNumber: String
    ): Response<Void> {
        return retrofitInstance.makeInitializeCall(clientId, correlationId, mobileNumber)
    }
}
